org.apache.ignite.internal.processors.query.schema

## Class SchemaIndexCacheCompoundFuture

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<R>
  - - org.apache.ignite.internal.util.future.GridCompoundFuture<SchemaIndexCacheStat,SchemaIndexCacheStat>
    - - org.apache.ignite.internal.processors.query.schema.SchemaIndexCacheCompoundFuture

All Implemented Interfaces:
  Serializable, IgniteInternalFuture<SchemaIndexCacheStat>, IgniteInClosure<IgniteInternalFuture<SchemaIndexCacheStat>>

    public class SchemaIndexCacheCompoundFuture
    extends GridCompoundFuture<SchemaIndexCacheStat,SchemaIndexCacheStat>

Compound index rebuilding feature. Waits for all internal features to complete, even if they throw exceptions. In this case, `error()` will return the first thrown exception.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SchemaIndexCacheCompoundFuture()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Throwable` `error()`
`protected boolean` `ignoreFailure(Throwable err)` Checks if this compound future should ignore this particular exception.

### Methods inherited from class org.apache.ignite.internal.util.future.GridCompoundFuture

`add, apply, cancel, clear, compoundsLockedExclusively, compoundsReadLock, compoundsReadUnlock, future, futures, futuresCountNoLock, hasFutures, hasPending, initialized, logDebug, logError, markInitialized, processFailure, toString`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`chain, chain, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, onDone, reset, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SchemaIndexCacheCompoundFuture

    public SchemaIndexCacheCompoundFuture()

### Method Detail

#### ignoreFailure

    protected boolean ignoreFailure(Throwable err)

Checks if this compound future should ignore this particular exception.

Overrides:
  `ignoreFailure` in class `GridCompoundFuture<SchemaIndexCacheStat,SchemaIndexCacheStat>`
Parameters:
  `err` - Exception to check.
Returns:
  `True` if this error should be ignored.

#### error

    public Throwable error()

Specified by:
  `error` in interface `IgniteInternalFuture<SchemaIndexCacheStat>`
Overrides:
  `error` in class `GridFutureAdapter<SchemaIndexCacheStat>`
Returns:
  Error value if future has already been completed with error.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022